//
//  Car.h
//  OSXGLEssentials
//
//  Created by Joshua Moerman on 10/03/14.
//
//

#pragma once

#include <Box2D/Box2D.h>
#include <vector>

struct Car {
    Car(b2World & world);
    Car(Car&& c);
    Car(Car const & c) = delete;
    ~Car();
    
    b2Vec2 getPosition() const;

private:
    b2World & world;
    b2Body * body = nullptr;
    std::vector<b2Body*> parts;
};
