#version 330

uniform mat4 mvp;

in vec4 position;
in vec4 color;

out vec4 interpolated_color;
out vec4 interpolated_position;

void main(){
    interpolated_color = color;
    interpolated_position = position;
    
    gl_Position = mvp * position;
}
