#version 100

uniform mat4 mvp;

attribute vec4 position;
attribute vec4 color;

varying vec4 interpolated_color;
varying vec4 interpolated_position;

void main(){
    interpolated_color = color;
    interpolated_position = position;
    
    gl_Position = mvp * position;
}
